> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DNS Records

> Query DNS records by specified filters. Currently .ton and .t.me DNS are supported.



## OpenAPI

````yaml get /api/v3/dns/records
openapi: 3.0.0
info:
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  title: TON Index (Go)
  contact: {}
  version: 1.1.0
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com/
security: []
paths:
  /api/v3/dns/records:
    get:
      tags:
        - dns
      summary: Get DNS Records
      description: >-
        Query DNS records by specified filters. Currently .ton and .t.me DNS are
        supported.
      operationId: api_v3_get_dns_records
      parameters:
        - description: >-
            Wallet address in any form. DNS records that contain this address in
            wallet category will be returned.
          name: wallet
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DNSRecordsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    DNSRecordsResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        records:
          type: array
          items:
            $ref: '#/components/schemas/DNSRecord'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    DNSRecord:
      type: object
      properties:
        dns_next_resolver:
          type: string
        dns_site_adnl:
          type: string
        dns_storage_bag_id:
          type: string
        dns_wallet:
          type: string
        domain:
          type: string
        nft_item_address:
          type: string
        nft_item_owner:
          type: string
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        user_friendly:
          type: string

````